Introducing the Better Auth Chargebee plugin: Use it to handle subscriptions, billing, and auth seamlessly.
Chargebeechargebee API

List coupon sets

Use this API to get the list of all the coupon sets.

Sample Request

Sample Result[JSON]

URL Format

GET https://[site].chargebee.com/api/v2/coupon_sets

Input Parameters

limit
optional, integer, default=10, min=1, max=100

The number of resources to be returned.

offset
optional, string, max chars=1000

Determines your position in the list for pagination. To ensure that the next page is retrieved correctly, always set offset to the value of next_offset obtained in the previous iteration of the API call.

Filter Params

For operator usages, see the Pagination and Filtering section.
id[<operator>]

optional, string filter

Uniquely identifies a coupon_set. Supported operators : is, is_not, starts_with, in, not_in

Example → id[is] = "bulk-codes-1"

Supported operators: is, is_not, starts_with, in, not_in
Example bulk-codes-1
name[<operator>]

optional, string filter

Name of the coupon set. Supported operators : is, is_not, starts_with, in, not_in

Example → name[is_not] = "bulk-codes-1"

Supported operators: is, is_not, starts_with, in, not_in
Example bulk-codes-1
coupon_id[<operator>]

optional, string filter

Coupon id linked to coupon set. Supported operators : is, is_not, starts_with, in, not_in

Example → coupon_id[is] = "OFF2008"

Supported operators: is, is_not, starts_with, in, not_in
Example OFF2008
total_count[<operator>]

optional, integer filter

No of coupon codes present in coupon set. Supported operators : is, is_not, lt, lte, gt, gte, between

Example → total_count[gt] = "10"

Supported operators: is, is_not, lt, lte, gt, gte, between
Example 10
redeemed_count[<operator>]

optional, integer filter

No of redeemed codes. Supported operators : is, is_not, lt, lte, gt, gte, between

Example → redeemed_count[is] = "5"

Supported operators: is, is_not, lt, lte, gt, gte, between
Example 5
archived_count[<operator>]

optional, integer filter

No of archived codes. Supported operators : is, is_not, lt, lte, gt, gte, between

Example → archived_count[is] = "2"

Supported operators: is, is_not, lt, lte, gt, gte, between
Example 2

Returns

next_offset
optional, string, max chars=1000

This attribute is returned only if more resources are present. To fetch the next set of resources use this value for the input parameter offset.

Coupon set object
Resource object representing coupon_set